<template>
    <f7-page 
        name="marketplace" 
        @page:beforein="onPageBeforeIn"
        ptr
        @ptr:refresh="onPageRefresh">
		<!-- Top Navbar -->
		<f7-navbar :sliding="false" large title-large="Kategori">
            <f7-nav-title class="show-small-title">Iklan Baris</f7-nav-title>
		</f7-navbar>
        <!-- belanja ring satu -->
		<f7-swiper class="margin-medium-top margin-small-bottom banner-swiper" :params="{
				autoplay: true, 
				loop: true, 
				speed:900, 
				slidesPerView: 1, 
				spaceBetween: 20, 
				delay:5000, 
                autoHeight: true,
			}">
            <f7-swiper-slide>
				<f7-link href="#" data-banner="belido">
					<img :src="require('../assets/banner/ninmedia.png')" style="width:100%;">
				</f7-link>				
            </f7-swiper-slide>
			<f7-swiper-slide>
				<f7-link href="#" data-banner="epas">
					<img :src="require('../assets/banner/epas.jpg')" style="width:100%;">
				</f7-link>
			</f7-swiper-slide>
        </f7-swiper>
        <div v-if="marketplaceCategories.length > 0">
            <div v-for="category in marketplaceCategories" v-bind:key="category.id">
                <f7-block-title v-html="category.name" class="font-bold no-margin-left">{{ category.name }}</f7-block-title>
                <f7-list no-hairlines>
                    <f7-list-item v-for="child in category.childs" v-bind:key="child.id" :title="convertAmpersand(child.name)" :link="`/marketplace/category/${child.id}/`">
                    </f7-list-item>
                </f7-list>
            </div>
        </div>        
	</f7-page>
</template>
<script>
import { mapGetters } from 'vuex';
export default {
    name: 'Marketplace',
	data(){
		return{};
	},
	computed: {
		...mapGetters('auth', ['user']),
		...mapGetters('category', [
			'marketplaceCategories'
		])
    },
    mounted(){
        const self = this;
        const app = self.$f7;
        const $$ = self.$$;

        $$('#view-marketplace').on('tab:show', function(){
            $$(this).find('.swiper-container')[0].swiper.update()
        });

        $$(document).on('click', '.banner-swiper .swiper-slide a', function(){
			let banner = self.$$(this).data('banner');
			
			let text = '';
			let buttons = [];

			if(banner == 'belido'){
				text = 'Hubungi NinMedia Belido.id';
				buttons.push({
					text: text,
					label: true
				});
				buttons.push({
					text: 'Panggilan',
					close: true,
					onClick: function(actions, e){
						location.href = "tel:6285380531234";
					}
				}); 
				buttons.push({
					text: 'Kunjungi Website',
					close: true,
					onClick: function(actions, e){
						if (typeof navigator !== "undefined" && navigator.app) {
							navigator.app.loadUrl('https://belido.id/c/elektronik/tv/antena-tv/paket-stb-nin-media', {openExternal: true});
						}else{
							window.open('https://belido.id/c/elektronik/tv/antena-tv/paket-stb-nin-media', '_blank');
						}						
					}
				});

			}else if(banner == 'epas'){
				text = 'Hubungi ePas PT PUSRI';
				buttons.push({
					text: text,
					label: true
				});
				buttons.push({
					text: 'Panggilan Telp',
					close: true,
					onClick: function(actions, e){
						location.href = "tel:6285232906724";
					}
				});
				buttons.push({
					text: 'Kunjungi Website',
					close: true,
					onClick: function(actions, e){
						if (typeof navigator !== "undefined" && navigator.app) {
							navigator.app.loadUrl('http://e-pas.id', {openExternal: true});
						}else{
							window.open('http://e-pas.id', '_blank');
						}	
					}
				});
			}

			buttons.push({
                text: 'Batal',
                color: 'red',
                close: true
            });

			let actionSheet = app.actions.create({
                buttons: buttons
            }).open();
		});
            
    },
    methods: {
        convertAmpersand(text){
            return text.replace(/&amp;/g, '&');
        },
        getCategories(){
			const self = this;
            const app = self.$f7;
            
			self.$store.dispatch('category/getCategories', {
				module: 'marketplace',
                parent: 0,
                only: 'id,name,slug,childs,total_product'
			});
        },
        onPageBeforeIn(){
            const self = this;
            self.getCategories();
        },
        onPageRefresh(e, done){
			const self = this;
			const app = self.$f7;

            self.getCategories();
			done();	
        }
    }
}
</script>
